"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Output = void 0;
class Output {
    constructor(silent = false) {
        this.silent = silent;
    }
    info(message) {
        if (this.silent)
            return;
        console.log(`Info: ${message}`);
    }
    error(message, exitProcess = false) {
        if (!this.silent)
            console.log(`\x1b[41m Error: \x1b[0m \x1b[31m${message}\x1b[0m\n`);
        if (exitProcess)
            process.exit(1);
    }
    clear() {
        console.clear();
    }
}
exports.Output = Output;
//# sourceMappingURL=output.js.map